## mpd-hits-0.2.0.tar.bz2

=== Makefile ===
# This file is part of mpd-hits.
# Copyright (C) 2010 Dmitry Samoyloff.
#
# mpd-hits is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# mpd-hits is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with mpd-hits. If not, see <http://www.gnu.org/licenses/>.

VERSION=$(shell cat VERSION)
DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

.PHONY: all clean install uninstall install-man uninstall-man

all: mpd-hits mpd-hits-report

mpd-hits: mpd-hits.in VERSION
	sed "s/@VERSION@/$(VERSION)/" $< > $@
	chmod 755 $@

mpd-hits-report: mpd-hits-report.in VERSION
	sed "s/@VERSION@/$(VERSION)/" $< > $@
	chmod 755 $@

clean:
	rm -f mpd-hits
	rm -f mpd-hits-report

install: 
	install -d -m 0755 $(DESTDIR)$(BINDIR)/
	install -m 0775 mpd-hits $(DESTDIR)$(BINDIR)/mpd-hits
	install -m 0775 mpd-hits-report $(DESTDIR)$(BINDIR)/mpd-hits-report

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/mpd-hits
	rm -f $(DESTDIR)$(BINDIR)/mpd-hits-report

install-man:
	install -d -m 0755 $(DESTDIR)$(MANDIR)/man1/
	install -m 0644 mpd-hits.1 $(DESTDIR)$(MANDIR)/man1/
	install -m 0644 mpd-hits-report.1 $(DESTDIR)$(MANDIR)/man1/

uninstall-man:
	rm $(DESTDIR)$(MANDIR)/man1/mpd-hits.1
	rm $(DESTDIR)$(MANDIR)/man1/mpd-hits-report.1

=== debian/control ===
Source: mpd-hits
Section: utils
Priority: optional
Maintainer: Dmitry Samoyloff <dmitry@obscurehalt.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Homepage: http://mpd-hits.nongnu.org/

Package: mpd-hits
Architecture: all
Depends: ${perl:Depends}, libaudio-mpd-perl, libgetopt-mixed-perl (>= 1.006), libproc-daemon-perl, libproc-pid-file-perl, libsys-syslog-perl, libconfig-simple-perl, libtime-local-perl, libdatetime-format-strptime-perl, libsort-versions-perl, adduser
Description: Collects playback statistics of Music Player Daemon
 mpd-hits is a program collecting information about tracks played by Music
 Player Daemon. It can be run either as daemon or as a foreground process. The
 information about played tracks (such as artist, song title, etc) is stored
 in plain text files, so it can be viewed/edited directly and processed easily
 by standard command line tools. Also, statistics can be parsed using a
 dedicated utility mpd-hits-report.
